ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Opt.LiberateCase

Synopsis

- data LibCaseOpts = LibCaseOpts {
  - lco_threshold :: !(Maybe Int)
  - lco_unfolding_opts :: !UnfoldingOpts
  }
- liberateCase :: LibCaseOpts -> CoreProgram -> CoreProgram

# Documentation

data LibCaseOpts Source #

Options for the liberate case pass.

Constructors

LibCaseOpts |

Fields

- lco_threshold :: !(Maybe Int)

  Bomb-out size for deciding if potential liberatees are too big.

- lco_unfolding_opts :: !UnfoldingOpts

  Unfolding options

liberateCase :: LibCaseOpts -> CoreProgram -> CoreProgram Source #